/**
 * @file message_prehash.h
 * @brief header file of externs of prehashed variables plus defines.
 *
 * $LicenseInfo:firstyear=2003&license=viewerlgpl$
 * Second Life Viewer Source Code
 * Copyright (C) 2010, Linden Research, Inc.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * version 2.1 of the License only.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 * Linden Research, Inc., 945 Battery Street, San Francisco, CA  94111  USA
 * $/LicenseInfo$
 */

#ifndef LL_MESSAGE_PREHASH_H
#define LL_MESSAGE_PREHASH_H

/**
 * Generated from message template version number 2.000
 */


extern F32 gPrehashVersionNumber;

extern char * _PREHASH_X;
extern char * _PREHASH_Y;
extern char * _PREHASH_Z;
extern char * _PREHASH_AddFlags;
extern char * _PREHASH_FailureInfo;
extern char * _PREHASH_MapData;
extern char * _PREHASH_AddItem;
extern char * _PREHASH_MeanCollision;
extern char * _PREHASH_RezScript;
extern char * _PREHASH_AvatarSitResponse;
extern char * _PREHASH_InventoryAssetResponse;
extern char * _PREHASH_KillObject;
extern char * _PREHASH_ProposalID;
extern char * _PREHASH_SerialNum;
extern char * _PREHASH_Duration;
extern char * _PREHASH_ScriptQuestion;
extern char * _PREHASH_AddCircuitCode;
extern char * _PREHASH_UseCircuitCode;
extern char * _PREHASH_ViewerCircuitCode;
extern char * _PREHASH_ScriptAnswerYes;
extern char * _PREHASH_PartnerID;
extern char * _PREHASH_DirLandQuery;
extern char * _PREHASH_TeleportStart;
extern char * _PREHASH_AboutText;
extern char * _PREHASH_VisualParam;
extern char * _PREHASH_GroupPrims;
extern char * _PREHASH_SelectedPrims;
extern char * _PREHASH_ID;
extern char * _PREHASH_UUIDNameRequest;
extern char * _PREHASH_UUIDGroupNameRequest;
extern char * _PREHASH_GroupAccountTransactionsRequest;
extern char * _PREHASH_MapNameRequest;
extern char * _PREHASH_UpdateSimulator;
extern char * _PREHASH_BillableFactor;
extern char * _PREHASH_ObjectBonusFactor;
extern char * _PREHASH_EnableSimulator;
extern char * _PREHASH_DisableSimulator;
extern char * _PREHASH_ConfirmEnableSimulator;
extern char * _PREHASH_LayerType;
extern char * _PREHASH_OwnerRole;
extern char * _PREHASH_ParcelOverlay;
extern char * _PREHASH_GroupOwned;
extern char * _PREHASH_IP;
extern char * _PREHASH_ChatFromViewer;
extern char * _PREHASH_AvgAgentsInView;
extern char * _PREHASH_AgentsInView;
extern char * _PREHASH_GroupTitle;
extern char * _PREHASH_MapLayerReply;
extern char * _PREHASH_CompoundMsgID;
extern char * _PREHASH_CameraConstraint;
extern char * _PREHASH_DownloadTotals;
extern char * _PREHASH_GenCounter;
extern char * _PREHASH_FrozenData;
extern char * _PREHASH_ChildAgentDying;
extern char * _PREHASH_To;
extern char * _PREHASH_CopyInventoryFromNotecard;
extern char * _PREHASH_RezObjectFromNotecard;
extern char * _PREHASH_ParcelDirFeeCurrent;
extern char * _PREHASH_SeedCapability;
extern char * _PREHASH_ObjectDuplicate;
extern char * _PREHASH_InventoryData;
extern char * _PREHASH_ReplyData;
extern char * _PREHASH_ResetList;
extern char * _PREHASH_MediaID;
extern char * _PREHASH_RelatedRights;
extern char * _PREHASH_RedirectGridX;
extern char * _PREHASH_RedirectGridY;
extern char * _PREHASH_TransferID;
extern char * _PREHASH_TexturesChanged;
extern char * _PREHASH_UserLookAt;
extern char * _PREHASH_TestBlock1;
extern char * _PREHASH_SensedData;
extern char * _PREHASH_UpdateBlock;
extern char * _PREHASH_ClassifiedGodDelete;
extern char * _PREHASH_ObjectGrabUpdate;
extern char * _PREHASH_LocationPos;
extern char * _PREHASH_TaxDate;
extern char * _PREHASH_StartDateTime;
extern char * _PREHASH_ObjectUpdateCached;
extern char * _PREHASH_Packets;
extern char * _PREHASH_FailureType;
extern char * _PREHASH_UpdateGroupInfo;
extern char * _PREHASH_ObjectPermissions;
extern char * _PREHASH_RevokePermissions;
extern char * _PREHASH_UpdateFlags;
extern char * _PREHASH_ObjectExportSelected;
extern char * _PREHASH_RezSelected;
extern char * _PREHASH_AutoPilot;
extern char * _PREHASH_UpdateMuteListEntry;
extern char * _PREHASH_RemoveMuteListEntry;
extern char * _PREHASH_SetSimStatusInDatabase;
extern char * _PREHASH_SetSimPresenceInDatabase;
extern char * _PREHASH_CameraProperty;
extern char * _PREHASH_BrushSize;
extern char * _PREHASH_SimulatorSetMap;
extern char * _PREHASH_RegionPresenceRequestByRegionID;
extern char * _PREHASH_ParcelObjectOwnersReply;
extern char * _PREHASH_GroupMembersReply;
extern char * _PREHASH_GroupRoleMembersReply;
extern char * _PREHASH_RequestRegionInfo;
extern char * _PREHASH_AABBMax;
extern char * _PREHASH_RequestPayPrice;
extern char * _PREHASH_SimulatorPresentAtLocation;
extern char * _PREHASH_AgentRequestSit;
extern char * _PREHASH_AABBMin;
extern char * _PREHASH_ClassifiedFlags;
extern char * _PREHASH_ControlFlags;
extern char * _PREHASH_TeleportRequest;
extern char * _PREHASH_ScriptTeleportRequest;
extern char * _PREHASH_EstateCovenantRequest;
extern char * _PREHASH_DateUTC;
extern char * _PREHASH_TaskIDs;
extern char * _PREHASH_RequestResult;
extern char * _PREHASH_CanAcceptAgents;
extern char * _PREHASH_ObjectSaleInfo;
extern char * _PREHASH_KillChildAgents;
extern char * _PREHASH_Balance;
extern char * _PREHASH_DerezContainer;
extern char * _PREHASH_ObjectData;
extern char * _PREHASH_CameraAtAxis;
extern char * _PREHASH_InfoBlock;
extern char * _PREHASH_OwnershipCost;
extern char * _PREHASH_AvatarNotesUpdate;
extern char * _PREHASH_PID;
extern char * _PREHASH_DirPopularReply;
extern char * _PREHASH_TerrainHeightRange00;
extern char * _PREHASH_SimData;
extern char * _PREHASH_TerrainHeightRange01;
extern char * _PREHASH_TerrainHeightRange10;
extern char * _PREHASH_TerrainHeightRange11;
extern char * _PREHASH_UpdateInventoryItem;
extern char * _PREHASH_UpdateCreateInventoryItem;
extern char * _PREHASH_MoveInventoryItem;
extern char * _PREHASH_CopyInventoryItem;
extern char * _PREHASH_LinkInventoryItem;
extern char * _PREHASH_RemoveInventoryItem;
extern char * _PREHASH_CreateInventoryItem;
extern char * _PREHASH_PathTwistBegin;
extern char * _PREHASH_CRC;
extern char * _PREHASH_AttachmentPoint;
extern char * _PREHASH_TelehubBlock;
extern char * _PREHASH_FOVBlock;
extern char * _PREHASH_StartLocationData;
extern char * _PREHASH_PositionData;
extern char * _PREHASH_TimeSinceLast;
extern char * _PREHASH_MapImage;
extern char * _PREHASH_Objects;
extern char * _PREHASH_URL;
extern char * _PREHASH_CreationDate;
extern char * _PREHASH_JointPivot;
extern char * _PREHASH_FPS;
extern char * _PREHASH_HasTelehub;
extern char * _PREHASH_PathEnd;
extern char * _PREHASH_ScriptDataReply;
extern char * _PREHASH_MapBlockReply;
extern char * _PREHASH_PropertiesData;
extern char * _PREHASH_ViewerEffect;
extern char * _PREHASH_FreezeUser;
extern char * _PREHASH_OwnerPrims;
extern char * _PREHASH_ObjectGrab;
extern char * _PREHASH_ToAgentID;
extern char * _PREHASH_SimulatorMapUpdate;
extern char * _PREHASH_TransferPacket;
extern char * _PREHASH_ObjectName;
extern char * _PREHASH_GroupPowers;
extern char * _PREHASH_OriginalName;
extern char * _PREHASH_CompletePingCheck;
extern char * _PREHASH_OnlineStatus;
extern char * _PREHASH_ObjectDrop;
extern char * _PREHASH_UseBigPackets;
extern char * _PREHASH_GroupNoticesListReply;
extern char * _PREHASH_ParcelAccessListReply;
extern char * _PREHASH_RpcChannelReply;
extern char * _PREHASH_RegionPresenceResponse;
extern char * _PREHASH_CharterMember;
extern char * _PREHASH_EdgeData;
extern char * _PREHASH_NameData;
extern char * _PREHASH_RegionPushOverride;
extern char * _PREHASH_SimName;
extern char * _PREHASH_UserReport;
extern char * _PREHASH_DownloadPriority;
extern char * _PREHASH_ToAgentId;
extern char * _PREHASH_DirPopularQuery;
extern char * _PREHASH_Mag;
extern char * _PREHASH_ParcelPropertiesRequestByID;
extern char * _PREHASH_ObjectLink;
extern char * _PREHASH_RpcScriptReplyInbound;
extern char * _PREHASH_RezData;
extern char * _PREHASH_RemoveInventoryObjects;
extern char * _PREHASH_GroupProposalBallot;
extern char * _PREHASH_RPCServerIP;
extern char * _PREHASH_Far;
extern char * _PREHASH_GodSessionID;
extern char * _PREHASH_FLAboutText;
extern char * _PREHASH_RegionHandshakeReply;
extern char * _PREHASH_GroupActiveProposalItemReply;
extern char * _PREHASH_MapItemReply;
extern char * _PREHASH_Seconds;
extern char * _PREHASH_UpdateUserInfo;
extern char * _PREHASH_AggregatePermTexturesOwner;
extern char * _PREHASH_Set;
extern char * _PREHASH_NewName;
extern char * _PREHASH_Key;
extern char * _PREHASH_AgentID;
extern char * _PREHASH_EventNotificationRemoveRequest;
extern char * _PREHASH_NewFolderID;
extern char * _PREHASH_Arc;
extern char * _PREHASH_RegionX;
extern char * _PREHASH_RegionY;
extern char * _PREHASH_RequestData;
extern char * _PREHASH_Msg;
extern char * _PREHASH_Top;
extern char * _PREHASH_MiscStats;
extern char * _PREHASH_ImageID;
extern char * _PREHASH_DataPacket;
extern char * _PREHASH_You;
extern char * _PREHASH_ScriptControlChange;
extern char * _PREHASH_LoadURL;
extern char * _PREHASH_SetCPURatio;
extern char * _PREHASH_NameValueData;
extern char * _PREHASH_AtomicPassObject;
extern char * _PREHASH_ErrorMessage;
extern char * _PREHASH_ViewerFrozenMessage;
extern char * _PREHASH_HealthMessage;
extern char * _PREHASH_LogTextMessage;
extern char * _PREHASH_TimeDilation;
extern char * _PREHASH_RemoveContribution;
extern char * _PREHASH_Contribution;
extern char * _PREHASH_SetGroupContribution;
extern char * _PREHASH_Offline;
extern char * _PREHASH_AgentIsNowWearing;
extern char * _PREHASH_Members;
extern char * _PREHASH_FailedResends;
extern char * _PREHASH_SecPerDay;
extern char * _PREHASH_CameraCenter;
extern char * _PREHASH_CameraLeftAxis;
extern char * _PREHASH_ExBlock;
extern char * _PREHASH_Channel;
extern char * _PREHASH_NetTest;
extern char * _PREHASH_DiscardLevel;
extern char * _PREHASH_LayerID;
extern char * _PREHASH_GrabOffset;
extern char * _PREHASH_SimPort;
extern char * _PREHASH_PricePerMeter;
extern char * _PREHASH_RegionFlags;
extern char * _PREHASH_VoteResult;
extern char * _PREHASH_ParcelDirFeeEstimate;
extern char * _PREHASH_ModifyBlock;
extern char * _PREHASH_InventoryBlock;
extern char * _PREHASH_ReplyBlock;
extern char * _PREHASH_ValidUntil;
extern char * _PREHASH_VelocityInterpolateOn;
extern char * _PREHASH_ClassifiedDelete;
extern char * _PREHASH_RegionDenyAnonymous;
extern char * _PREHASH_FLImageID;
extern char * _PREHASH_AllowPublish;
extern char * _PREHASH_SitName;
extern char * _PREHASH_RegionsVisited;
extern char * _PREHASH_DirClassifiedReply;
extern char * _PREHASH_AvatarClassifiedReply;
extern char * _PREHASH_MediaURL;
extern char * _PREHASH_CompleteAgentMovement;
extern char * _PREHASH_ClassifiedID;
extern char * _PREHASH_LocalID;
extern char * _PREHASH_SpaceIP;
extern char * _PREHASH_RemoveItem;
extern char * _PREHASH_LogFailedMoneyTransaction;
extern char * _PREHASH_ViewerStartAuction;
extern char * _PREHASH_StartAuction;
extern char * _PREHASH_DuplicateFlags;
extern char * _PREHASH_RegionInfo2;
extern char * _PREHASH_TextColor;
extern char * _PREHASH_SlaveID;
extern char * _PREHASH_Charter;
extern char * _PREHASH_AlertData;
extern char * _PREHASH_AlertInfo;
extern char * _PREHASH_TargetBlock;
extern char * _PREHASH_CheckParcelAuctions;
extern char * _PREHASH_ParcelAuctions;
extern char * _PREHASH_OwnerIsGroup;
extern char * _PREHASH_NameValuePair;
extern char * _PREHASH_RemoveNameValuePair;
extern char * _PREHASH_BulkUpdateInventory;
extern char * _PREHASH_UpdateTaskInventory;
extern char * _PREHASH_RemoveTaskInventory;
extern char * _PREHASH_MoveTaskInventory;
extern char * _PREHASH_RequestTaskInventory;
extern char * _PREHASH_ReplyTaskInventory;
extern char * _PREHASH_AggregatePermInventory;
extern char * _PREHASH_GroupAccountTransactionsReply;
extern char * _PREHASH_SimulatorInfo;
extern char * _PREHASH_WearableData;
extern char * _PREHASH_Enabled;
extern char * _PREHASH_Savings;
extern char * _PREHASH_SimulatorLoad;
extern char * _PREHASH_InternalRegionIP;
extern char * _PREHASH_ExternalRegionIP;
extern char * _PREHASH_TotalPairs;
extern char * _PREHASH_CreateGroupRequest;
extern char * _PREHASH_JoinGroupRequest;
extern char * _PREHASH_LeaveGroupRequest;
extern char * _PREHASH_InviteGroupRequest;
extern char * _PREHASH_LiveHelpGroupRequest;
extern char * _PREHASH_PriceParcelClaimFactor;
extern char * _PREHASH_BillableArea;
extern char * _PREHASH_ObjectID;
extern char * _PREHASH_ObjectFlagUpdate;
extern char * _PREHASH_GroupRoleUpdate;
extern char * _PREHASH_RequestInventoryAsset;
extern char * _PREHASH_ChangedGrid;
extern char * _PREHASH_AgentDropGroup;
extern char * _PREHASH_Details;
extern char * _PREHASH_LocationX;
extern char * _PREHASH_SaleType;
extern char * _PREHASH_LocationY;
extern char * _PREHASH_LocationZ;
extern char * _PREHASH_EconomyData;
extern char * _PREHASH_HeadRotation;
extern char * _PREHASH_DeleteOnCompletion;
extern char * _PREHASH_PublicPort;
extern char * _PREHASH_DirClassifiedQuery;
extern char * _PREHASH_CallbackID;
extern char * _PREHASH_RequestParcelTransfer;
extern char * _PREHASH_RoleCount;
extern char * _PREHASH_ObjectCapacity;
extern char * _PREHASH_RequestID;
extern char * _PREHASH_RequestXfer;
extern char * _PREHASH_ObjectTaxCurrent;
extern char * _PREHASH_LightTaxCurrent;
extern char * _PREHASH_LandTaxCurrent;
extern char * _PREHASH_GroupTaxCurrent;
extern char * _PREHASH_FetchInventoryDescendents;
extern char * _PREHASH_InventoryDescendents;
extern char * _PREHASH_Descendents;
extern char * _PREHASH_PurgeInventoryDescendents;
extern char * _PREHASH_ShowDir;
extern char * _PREHASH_IsOwner;
extern char * _PREHASH_Timestamp;
extern char * _PREHASH_GlobalPos;
extern char * _PREHASH_GrabOffsetInitial;
extern char * _PREHASH_IsTrial;
extern char * _PREHASH_ObjectDuplicateOnRay;
extern char * _PREHASH_GroupMembershipCount;
extern char * _PREHASH_MethodData;
extern char * _PREHASH_ActivateGestures;
extern char * _PREHASH_DeactivateGestures;
extern char * _PREHASH_ProposalData;
extern char * _PREHASH_PosGlobal;
extern char * _PREHASH_SearchID;
extern char * _PREHASH_RezMultipleAttachmentsFromInv;
extern char * _PREHASH_SearchName;
extern char * _PREHASH_VersionString;
extern char * _PREHASH_CreateGroupReply;
extern char * _PREHASH_LeaveGroupReply;
extern char * _PREHASH_ActualArea;
extern char * _PREHASH_Message;
extern char * _PREHASH_ClickAction;
extern char * _PREHASH_AssetUploadComplete;
extern char * _PREHASH_RequestType;
extern char * _PREHASH_UUID;
extern char * _PREHASH_BaseMask;
extern char * _PREHASH_NetBlock;
extern char * _PREHASH_GlobalX;
extern char * _PREHASH_GlobalY;
extern char * _PREHASH_CopyRotates;
extern char * _PREHASH_KickUserAck;
extern char * _PREHASH_TopPick;
extern char * _PREHASH_SessionID;
extern char * _PREHASH_GlobalZ;
extern char * _PREHASH_DeclineFriendship;
extern char * _PREHASH_FormFriendship;
extern char * _PREHASH_TerminateFriendship;
extern char * _PREHASH_TaskData;
extern char * _PREHASH_SimWideMaxPrims;
extern char * _PREHASH_TotalPrims;
extern char * _PREHASH_ProfileBegin;
extern char * _PREHASH_Request;
extern char * _PREHASH_GroupAccountDetailsRequest;
extern char * _PREHASH_GroupActiveProposalsRequest;
extern char * _PREHASH_StringValue;
extern char * _PREHASH_Version;
extern char * _PREHASH_OtherCount;
extern char * _PREHASH_MemberCount;
extern char * _PREHASH_ChatData;
extern char * _PREHASH_IsGroupOwned;
extern char * _PREHASH_EnergyEfficiency;
extern char * _PREHASH_PickInfoUpdate;
extern char * _PREHASH_PickDelete;
extern char * _PREHASH_ScriptReset;
extern char * _PREHASH_Requester;
extern char * _PREHASH_ForSale;
extern char * _PREHASH_NearestLandingRegionReply;
extern char * _PREHASH_ParcelID;
extern char * _PREHASH_Godlike;
extern char * _PREHASH_TotalDebits;
extern char * _PREHASH_Direction;
extern char * _PREHASH_HealthData;
extern char * _PREHASH_LeftAxis;
extern char * _PREHASH_LocationBlock;
extern char * _PREHASH_ObjectImage;
extern char * _PREHASH_TerrainStartHeight00;
extern char * _PREHASH_TerrainStartHeight01;
extern char * _PREHASH_TerrainStartHeight10;
extern char * _PREHASH_TerrainStartHeight11;
extern char * _PREHASH_WaterHeight;
extern char * _PREHASH_FetchInventoryReply;
extern char * _PREHASH_GroupAccountSummaryReply;
extern char * _PREHASH_AttachedSound;
extern char * _PREHASH_ParamInUse;
extern char * _PREHASH_GodKickUser;
extern char * _PREHASH_PickName;
extern char * _PREHASH_TaskName;
extern char * _PREHASH_ObjectCount;
extern char * _PREHASH_RegionPresenceRequestByHandle;
extern char * _PREHASH_RezSingleAttachmentFromInv;
extern char * _PREHASH_ChildAgentUpdate;
extern char * _PREHASH_IsOwnerGroup;
extern char * _PREHASH_AgentHeightWidth;
extern char * _PREHASH_VerticalAngle;
extern char * _PREHASH_WearableType;
extern char * _PREHASH_AggregatePermNextOwner;
extern char * _PREHASH_ShowInList;
extern char * _PREHASH_UpdateParcel;
extern char * _PREHASH_SetAlwaysRun;
extern char * _PREHASH_NVPair;
extern char * _PREHASH_SearchType;
extern char * _PREHASH_ObjectSpinStart;
extern char * _PREHASH_UseEstateSun;
extern char * _PREHASH_RegionID;
extern char * _PREHASH_AbuseRegionID;
extern char * _PREHASH_Creator;
extern char * _PREHASH_ProposalText;
extern char * _PREHASH_DirEventsReply;
extern char * _PREHASH_EventInfoReply;
extern char * _PREHASH_UserInfoReply;
extern char * _PREHASH_PathRadiusOffset;
extern char * _PREHASH_TextureData;
extern char * _PREHASH_ChatPass;
extern char * _PREHASH_TargetID;
extern char * _PREHASH_DefaultPayPrice;
extern char * _PREHASH_UserLocation;
extern char * _PREHASH_MaxPrims;
extern char * _PREHASH_LandmarkID;
extern char * _PREHASH_InitiateDownload;
extern char * _PREHASH_Name;
extern char * _PREHASH_OtherCleanTime;
extern char * _PREHASH_ParcelSetOtherCleanTime;
extern char * _PREHASH_TeleportPriceExponent;
extern char * _PREHASH_Gain;
extern char * _PREHASH_PacketAck;
extern char * _PREHASH_PathSkew;
extern char * _PREHASH_SimulatorShutdownRequest;
extern char * _PREHASH_NearestLandingRegionRequest;
extern char * _PREHASH_OtherID;
extern char * _PREHASH_MemberID;
extern char * _PREHASH_MapLayerRequest;
extern char * _PREHASH_ObjectScale;
extern char * _PREHASH_TargetIP;
extern char * _PREHASH_Redo;
extern char * _PREHASH_MoneyBalance;
extern char * _PREHASH_TrackAgent;
extern char * _PREHASH_MaxX;
extern char * _PREHASH_Data;
extern char * _PREHASH_MaxY;
extern char * _PREHASH_TextureAnim;
extern char * _PREHASH_ReturnIDs;
extern char * _PREHASH_Date;
extern char * _PREHASH_AgentWearablesUpdate;
extern char * _PREHASH_AgentDataUpdate;
extern char * _PREHASH_GroupDataUpdate;
extern char * _PREHASH_Hash;
extern char * _PREHASH_AgentGroupDataUpdate;
extern char * _PREHASH_Left;
extern char * _PREHASH_Mask;
extern char * _PREHASH_ForceMouselook;
extern char * _PREHASH_Success;
extern char * _PREHASH_ObjectGroup;
extern char * _PREHASH_SunHour;
extern char * _PREHASH_MinX;
extern char * _PREHASH_ScriptSensorReply;
extern char * _PREHASH_MinY;
extern char * _PREHASH_Command;
extern char * _PREHASH_Desc;
extern char * _PREHASH_AttachmentNeedsSave;
extern char * _PREHASH_HistoryItemData;
extern char * _PREHASH_AgentCachedTexture;
extern char * _PREHASH_Subject;
extern char * _PREHASH_East;
extern char * _PREHASH_QueryReplies;
extern char * _PREHASH_ObjectCategory;
extern char * _PREHASH_Time;
extern char * _PREHASH_CreateLandmarkForEvent;
extern char * _PREHASH_ParentID;
extern char * _PREHASH_Ping;
extern char * _PREHASH_Perp;
extern char * _PREHASH_Code;
extern char * _PREHASH_InvType;
extern char * _PREHASH_AgentFOV;
extern char * _PREHASH_Audible;
extern char * _PREHASH_AuctionData;
extern char * _PREHASH_IDBlock;
extern char * _PREHASH_West;
extern char * _PREHASH_Undo;
extern char * _PREHASH_TotalNumItems;
extern char * _PREHASH_Info;
extern char * _PREHASH_Area;
extern char * _PREHASH_SimCrashed;
extern char * _PREHASH_Text;
extern char * _PREHASH_PriceGroupCreate;
extern char * _PREHASH_ObjectShape;
extern char * _PREHASH_GroupRoleDataReply;
extern char * _PREHASH_MuteCRC;
extern char * _PREHASH_Size;
extern char * _PREHASH_FromAddress;
extern char * _PREHASH_Body;
extern char * _PREHASH_FileData;
extern char * _PREHASH_List;
extern char * _PREHASH_KickUser;
extern char * _PREHASH_OtherPrims;
extern char * _PREHASH_RunTime;
extern char * _PREHASH_GrantUserRights;
extern char * _PREHASH_RpcScriptRequestInboundForward;
extern char * _PREHASH_More;
extern char * _PREHASH_Majority;
extern char * _PREHASH_MetersTraveled;
extern char * _PREHASH_Stat;
extern char * _PREHASH_SoundID;
extern char * _PREHASH_Item;
extern char * _PREHASH_User;
extern char * _PREHASH_Prey;
extern char * _PREHASH_RayStart;
extern char * _PREHASH_UsecSinceStart;
extern char * _PREHASH_ParcelData;
extern char * _PREHASH_CameraUpAxis;
extern char * _PREHASH_ScriptDialog;
extern char * _PREHASH_MasterParcelData;
extern char * _PREHASH_Invalid;
extern char * _PREHASH_ProfileCurve;
extern char * _PREHASH_ParcelAccessListUpdate;
extern char * _PREHASH_MuteListUpdate;
extern char * _PREHASH_SendPacket;
extern char * _PREHASH_SendXferPacket;
extern char * _PREHASH_RegionDenyIdentified;
extern char * _PREHASH_NotecardItemID;
extern char * _PREHASH_LastName;
extern char * _PREHASH_From;
extern char * _PREHASH_RoleChange;
extern char * _PREHASH_Port;
extern char * _PREHASH_MemberTitle;
extern char * _PREHASH_LogParcelChanges;
extern char * _PREHASH_AgentCachedTextureResponse;
extern char * _PREHASH_DeRezObject;
extern char * _PREHASH_IsTemporary;
extern char * _PREHASH_InsigniaID;
extern char * _PREHASH_CheckFlags;
extern char * _PREHASH_EventID;
extern char * _PREHASH_Selected;
extern char * _PREHASH_FromAgentId;
extern char * _PREHASH_Type;
extern char * _PREHASH_ChatType;
extern char * _PREHASH_ReportData;
extern char * _PREHASH_RequestBlock;
extern char * _PREHASH_GrantData;
extern char * _PREHASH_DetachAttachmentIntoInv;
extern char * _PREHASH_ParcelDisableObjects;
extern char * _PREHASH_Sections;
extern char * _PREHASH_GodLevel;
extern char * _PREHASH_PayPriceReply;
extern char * _PREHASH_QueryID;
extern char * _PREHASH_CameraEyeOffset;
extern char * _PREHASH_AgentPosition;
extern char * _PREHASH_GrabPosition;
extern char * _PREHASH_OnlineNotification;
extern char * _PREHASH_OfflineNotification;
extern char * _PREHASH_SendPostcard;
extern char * _PREHASH_RequestFlags;
extern char * _PREHASH_GroupAccountSummaryRequest;
extern char * _PREHASH_GroupVoteHistoryRequest;
extern char * _PREHASH_ParamValue;
extern char * _PREHASH_MaxAgents;
extern char * _PREHASH_CreateNewOutfitAttachments;
extern char * _PREHASH_RegionHandle;
extern char * _PREHASH_TeleportProgress;
extern char * _PREHASH_AgentQuitCopy;
extern char * _PREHASH_AvatarInterestsUpdate;
extern char * _PREHASH_GroupNoticeID;
extern char * _PREHASH_ParcelName;
extern char * _PREHASH_PriceObjectRent;
extern char * _PREHASH_OfferCallingCard;
extern char * _PREHASH_AcceptCallingCard;
extern char * _PREHASH_DeclineCallingCard;
extern char * _PREHASH_AgentAccess;
extern char * _PREHASH_AgentLegacyAccess;
extern char * _PREHASH_AgentMaxAccess;
extern char * _PREHASH_DataHomeLocationReply;
extern char * _PREHASH_EventLocationReply;
extern char * _PREHASH_TerseDateID;
extern char * _PREHASH_ObjectOwner;
extern char * _PREHASH_AssetID;
extern char * _PREHASH_AlertMessage;
extern char * _PREHASH_AgentAlertMessage;
extern char * _PREHASH_EstateOwnerMessage;
extern char * _PREHASH_ParcelMediaCommandMessage;
extern char * _PREHASH_Auction;
extern char * _PREHASH_Category;
extern char * _PREHASH_FilePath;
extern char * _PREHASH_ItemFlags;
extern char * _PREHASH_Invoice;
extern char * _PREHASH_IntervalDays;
extern char * _PREHASH_PathScaleX;
extern char * _PREHASH_FromTaskID;
extern char * _PREHASH_PathScaleY;
extern char * _PREHASH_TimeInfo;
extern char * _PREHASH_PublicCount;
extern char * _PREHASH_ParcelJoin;
extern char * _PREHASH_GroupRolesCount;
extern char * _PREHASH_SimulatorBlock;
extern char * _PREHASH_GroupID;
extern char * _PREHASH_AgentVel;
extern char * _PREHASH_RequestImage;
extern char * _PREHASH_NetStats;
extern char * _PREHASH_AgentPos;
extern char * _PREHASH_AgentSit;
extern char * _PREHASH_Material;
extern char * _PREHASH_ObjectDeGrab;
extern char * _PREHASH_VelocityInterpolateOff;
extern char * _PREHASH_AuthorizedBuyerID;
extern char * _PREHASH_AvatarPropertiesReply;
extern char * _PREHASH_GroupProfileReply;
extern char * _PREHASH_SimOwner;
extern char * _PREHASH_SalePrice;
extern char * _PREHASH_Animation;
extern char * _PREHASH_OwnerID;
extern char * _PREHASH_NearestLandingRegionUpdated;
extern char * _PREHASH_PassToAgent;
extern char * _PREHASH_PreyAgent;
extern char * _PREHASH_SimStats;
extern char * _PREHASH_LogoutReply;
extern char * _PREHASH_FeatureDisabled;
extern char * _PREHASH_PhysicalAvatarEventList;
extern char * _PREHASH_ObjectLocalID;
extern char * _PREHASH_Dropped;
extern char * _PREHASH_WebProfilesDisabled;
extern char * _PREHASH_Destination;
extern char * _PREHASH_MasterID;
extern char * _PREHASH_TransferData;
extern char * _PREHASH_WantToMask;
extern char * _PREHASH_ParcelSelectObjects;
extern char * _PREHASH_ExtraParams;
extern char * _PREHASH_CreatorID;
extern char * _PREHASH_Summary;
extern char * _PREHASH_BuyObjectInventory;
extern char * _PREHASH_FetchInventory;
extern char * _PREHASH_InventoryID;
extern char * _PREHASH_PacketNumber;
extern char * _PREHASH_SetFollowCamProperties;
extern char * _PREHASH_ClearFollowCamProperties;
extern char * _PREHASH_SequenceID;
extern char * _PREHASH_DataServerLogout;
extern char * _PREHASH_NameValue;
extern char * _PREHASH_PathShearX;
extern char * _PREHASH_PathShearY;
extern char * _PREHASH_Velocity;
extern char * _PREHASH_SecPerYear;
extern char * _PREHASH_FirstName;
extern char * _PREHASH_AttachedSoundGainChange;
extern char * _PREHASH_LocationID;
extern char * _PREHASH_Running;
extern char * _PREHASH_AgentThrottle;
extern char * _PREHASH_NeighborList;
extern char * _PREHASH_PathTaperX;
extern char * _PREHASH_PathTaperY;
extern char * _PREHASH_AgentRelated;
extern char * _PREHASH_GranterBlock;
extern char * _PREHASH_UseCachedMuteList;
extern char * _PREHASH_FailStats;
extern char * _PREHASH_Tempfile;
extern char * _PREHASH_BuyerID;
extern char * _PREHASH_DirPeopleReply;
extern char * _PREHASH_TransferInfo;
extern char * _PREHASH_AvatarPickerRequestBackend;
extern char * _PREHASH_AvatarPropertiesRequestBackend;
extern char * _PREHASH_UpdateData;
extern char * _PREHASH_SimFPS;
extern char * _PREHASH_ReporterID;
extern char * _PREHASH_ButtonLabel;
extern char * _PREHASH_GranterID;
extern char * _PREHASH_WantToText;
extern char * _PREHASH_ReportType;
extern char * _PREHASH_SimulatorReady;
extern char * _PREHASH_DataBlock;
extern char * _PREHASH_AnimationSourceList;
extern char * _PREHASH_SubscribeLoad;
extern char * _PREHASH_UnsubscribeLoad;
extern char * _PREHASH_Packet;
extern char * _PREHASH_UndoLand;
extern char * _PREHASH_SimAccess;
extern char * _PREHASH_AbuserID;
extern char * _PREHASH_MembershipFee;
extern char * _PREHASH_InviteGroupResponse;
extern char * _PREHASH_CreateInventoryFolder;
extern char * _PREHASH_UpdateInventoryFolder;
extern char * _PREHASH_MoveInventoryFolder;
extern char * _PREHASH_RemoveInventoryFolder;
extern char * _PREHASH_MoneyData;
extern char * _PREHASH_ObjectDeselect;
extern char * _PREHASH_NewAssetID;
extern char * _PREHASH_ObjectAdd;
extern char * _PREHASH_RayEndIsIntersection;
extern char * _PREHASH_CompleteAuction;
extern char * _PREHASH_CircuitCode;
extern char * _PREHASH_AgentMovementComplete;
extern char * _PREHASH_ViewerIP;
extern char * _PREHASH_Header;
extern char * _PREHASH_GestureFlags;
extern char * _PREHASH_XferID;
extern char * _PREHASH_StatValue;
extern char * _PREHASH_TaskID;
extern char * _PREHASH_PickID;
extern char * _PREHASH_RayEnd;
extern char * _PREHASH_Throttles;
extern char * _PREHASH_RebakeAvatarTextures;
extern char * _PREHASH_UpAxis;
extern char * _PREHASH_AgentTextures;
extern char * _PREHASH_NotecardData;
extern char * _PREHASH_Radius;
extern char * _PREHASH_OffCircuit;
extern char * _PREHASH_Access;
extern char * _PREHASH_TitleRoleID;
extern char * _PREHASH_SquareMetersCredit;
extern char * _PREHASH_Filename;
extern char * _PREHASH_ClassifiedInfoRequest;
extern char * _PREHASH_ParcelInfoRequest;
extern char * _PREHASH_ParcelObjectOwnersRequest;
extern char * _PREHASH_TeleportLandmarkRequest;
extern char * _PREHASH_EventInfoRequest;
extern char * _PREHASH_MoneyBalanceRequest;
extern char * _PREHASH_GroupMembersRequest;
extern char * _PREHASH_GroupRoleMembersRequest;
extern char * _PREHASH_ChatFromSimulator;
extern char * _PREHASH_OldFolderID;
extern char * _PREHASH_UserInfoRequest;
extern char * _PREHASH_TextureID;
extern char * _PREHASH_ProfileURL;
extern char * _PREHASH_Handle;
extern char * _PREHASH_ButtonIndex;
extern char * _PREHASH_GetScriptRunning;
extern char * _PREHASH_SetScriptRunning;
extern char * _PREHASH_Health;
extern char * _PREHASH_CircuitInfo;
extern char * _PREHASH_ObjectBuy;
extern char * _PREHASH_ProfileEnd;
extern char * _PREHASH_Effect;
extern char * _PREHASH_TestMessage;
extern char * _PREHASH_ScriptMailRegistration;
extern char * _PREHASH_AgentSetAppearance;
extern char * _PREHASH_AvatarAppearance;
extern char * _PREHASH_RegionData;
extern char * _PREHASH_RequestingRegionData;
extern char * _PREHASH_LandingRegionData;
extern char * _PREHASH_SitTransform;
extern char * _PREHASH_TerrainBase0;
extern char * _PREHASH_SkillsMask;
extern char * _PREHASH_AtAxis;
extern char * _PREHASH_TerrainBase1;
extern char * _PREHASH_Reason;
extern char * _PREHASH_TerrainBase2;
extern char * _PREHASH_TerrainBase3;
extern char * _PREHASH_Params;
extern char * _PREHASH_PingID;
extern char * _PREHASH_Change;
extern char * _PREHASH_Height;
extern char * _PREHASH_Region;
extern char * _PREHASH_TelehubInfo;
extern char * _PREHASH_StateSave;
extern char * _PREHASH_RoleData;
extern char * _PREHASH_AgentAnimation;
extern char * _PREHASH_AvatarAnimation;
extern char * _PREHASH_LogDwellTime;
extern char * _PREHASH_ParcelGodMarkAsContent;
extern char * _PREHASH_UsePhysics;
extern char * _PREHASH_RegionDenyTransacted;
extern char * _PREHASH_JointType;
extern char * _PREHASH_ObjectTaxEstimate;
extern char * _PREHASH_LightTaxEstimate;
extern char * _PREHASH_LandTaxEstimate;
extern char * _PREHASH_TeleportLandingStatusChanged;
extern char * _PREHASH_GroupTaxEstimate;
extern char * _PREHASH_AvgViewerFPS;
extern char * _PREHASH_Buttons;
extern char * _PREHASH_Sender;
extern char * _PREHASH_Dialog;
extern char * _PREHASH_TargetData;
extern char * _PREHASH_DestID;
extern char * _PREHASH_PricePublicObjectDelete;
extern char * _PREHASH_ObjectDelete;
extern char * _PREHASH_Delete;
extern char * _PREHASH_EventGodDelete;
extern char * _PREHASH_LastTaxDate;
extern char * _PREHASH_MapImageID;
extern char * _PREHASH_EndDateTime;
extern char * _PREHASH_TerrainDetail0;
extern char * _PREHASH_TerrainDetail1;
extern char * _PREHASH_TerrainDetail2;
extern char * _PREHASH_TerrainDetail3;
extern char * _PREHASH_Offset;
extern char * _PREHASH_ObjectDelink;
extern char * _PREHASH_TargetObject;
extern char * _PREHASH_IsEstateManager;
extern char * _PREHASH_CancelAuction;
extern char * _PREHASH_ObjectDetach;
extern char * _PREHASH_Compressed;
extern char * _PREHASH_PathBegin;
extern char * _PREHASH_BypassRaycast;
extern char * _PREHASH_WinnerID;
extern char * _PREHASH_ChannelType;
extern char * _PREHASH_NonExemptMembers;
extern char * _PREHASH_Agents;
extern char * _PREHASH_MemberData;
extern char * _PREHASH_ToGroupID;
extern char * _PREHASH_ImageNotInDatabase;
extern char * _PREHASH_StartDate;
extern char * _PREHASH_AnimID;
extern char * _PREHASH_Serial;
extern char * _PREHASH_AbuseRegionName;
extern char * _PREHASH_ModifyLand;
extern char * _PREHASH_Digest;
extern char * _PREHASH_Victim;
extern char * _PREHASH_Script;
extern char * _PREHASH_PickInfoReply;
extern char * _PREHASH_MoneyBalanceReply;
extern char * _PREHASH_RoutedMoneyBalanceReply;
extern char * _PREHASH_RoleID;
extern char * _PREHASH_RegionInfo;
extern char * _PREHASH_GodUpdateRegionInfo;
extern char * _PREHASH_StartAnim;
extern char * _PREHASH_Action;
extern char * _PREHASH_Location;
extern char * _PREHASH_Rights;
extern char * _PREHASH_SearchDir;
extern char * _PREHASH_TransferRequest;
extern char * _PREHASH_ScriptSensorRequest;
extern char * _PREHASH_MoneyTransferRequest;
extern char * _PREHASH_EjectGroupMemberRequest;
extern char * _PREHASH_SkillsText;
extern char * _PREHASH_Resent;
extern char * _PREHASH_Center;
extern char * _PREHASH_SharedData;
extern char * _PREHASH_PSBlock;
extern char * _PREHASH_UUIDNameBlock;
extern char * _PREHASH_GroupTitleUpdate;
extern char * _PREHASH_Method;
extern char * _PREHASH_TouchName;
extern char * _PREHASH_UpdateType;
extern char * _PREHASH_KickedFromEstateID;
extern char * _PREHASH_CandidateID;
extern char * _PREHASH_ParamData;
extern char * _PREHASH_GodlikeMessage;
extern char * _PREHASH_SystemMessage;
extern char * _PREHASH_BodyRotation;
extern char * _PREHASH_SearchRegions;
extern char * _PREHASH_AnimationData;
extern char * _PREHASH_StatID;
extern char * _PREHASH_ItemID;
extern char * _PREHASH_ScriptDialogReply;
extern char * _PREHASH_RegionIDAndHandleReply;
extern char * _PREHASH_CameraAtOffset;
extern char * _PREHASH_VoteID;
extern char * _PREHASH_ParcelGodForceOwner;
extern char * _PREHASH_Filter;
extern char * _PREHASH_InviteData;
extern char * _PREHASH_PCode;
extern char * _PREHASH_SearchPos;
extern char * _PREHASH_PreyID;
extern char * _PREHASH_TerrainLowerLimit;
extern char * _PREHASH_EventFlags;
extern char * _PREHASH_TallyVotes;
extern char * _PREHASH_Result;
extern char * _PREHASH_LookAt;
extern char * _PREHASH_SearchOrder;
extern char * _PREHASH_PayButton;
extern char * _PREHASH_SelfCount;
extern char * _PREHASH_PacketCount;
extern char * _PREHASH_ParcelBuyPass;
extern char * _PREHASH_OldItemID;
extern char * _PREHASH_RegionPort;
extern char * _PREHASH_PriceEnergyUnit;
extern char * _PREHASH_Bitmap;
extern char * _PREHASH_CacheMissType;
extern char * _PREHASH_VFileID;
extern char * _PREHASH_GroupInsigniaID;
extern char * _PREHASH_Online;
extern char * _PREHASH_KickFlags;
extern char * _PREHASH_CovenantID;
extern char * _PREHASH_SysCPU;
extern char * _PREHASH_EMail;
extern char * _PREHASH_AggregatePermTextures;
extern char * _PREHASH_ChatChannel;
extern char * _PREHASH_ReturnID;
extern char * _PREHASH_ObjectAttach;
extern char * _PREHASH_TargetPort;
extern char * _PREHASH_ObjectSpinStop;
extern char * _PREHASH_FullID;
extern char * _PREHASH_ActivateGroup;
extern char * _PREHASH_SysGPU;
extern char * _PREHASH_AvatarInterestsReply;
extern char * _PREHASH_StartLure;
extern char * _PREHASH_SysRAM;
extern char * _PREHASH_ObjectPosition;
extern char * _PREHASH_SitPosition;
extern char * _PREHASH_StartTime;
extern char * _PREHASH_BornOn;
extern char * _PREHASH_CameraCollidePlane;
extern char * _PREHASH_EconomyDataRequest;
extern char * _PREHASH_TeleportLureRequest;
extern char * _PREHASH_FolderID;
extern char * _PREHASH_RegionHandleRequest;
extern char * _PREHASH_ScriptDataRequest;
extern char * _PREHASH_GroupRoleDataRequest;
extern char * _PREHASH_GroupTitlesRequest;
extern char * _PREHASH_AgentWearablesRequest;
extern char * _PREHASH_MapBlockRequest;
extern char * _PREHASH_LureID;
extern char * _PREHASH_CopyCenters;
extern char * _PREHASH_ParamList;
extern char * _PREHASH_InventorySerial;
extern char * _PREHASH_EdgeDataPacket;
extern char * _PREHASH_AvatarPickerReply;
extern char * _PREHASH_ParcelDwellReply;
extern char * _PREHASH_IsForSale;
extern char * _PREHASH_MuteID;
extern char * _PREHASH_MeanCollisionAlert;
extern char * _PREHASH_CanAcceptTasks;
extern char * _PREHASH_ItemData;
extern char * _PREHASH_AnimationList;
extern char * _PREHASH_Reputation;
extern char * _PREHASH_IntValue;
extern char * _PREHASH_TargetType;
extern char * _PREHASH_Amount;
extern char * _PREHASH_HasAttachment;
extern char * _PREHASH_UpdateAttachment;
extern char * _PREHASH_RemoveAttachment;
extern char * _PREHASH_HeightWidthBlock;
extern char * _PREHASH_RequestObjectPropertiesFamily;
extern char * _PREHASH_ObjectPropertiesFamily;
extern char * _PREHASH_UserData;
extern char * _PREHASH_IsReadable;
extern char * _PREHASH_PathCurve;
extern char * _PREHASH_Status;
extern char * _PREHASH_FromGroup;
extern char * _PREHASH_AlreadyVoted;
extern char * _PREHASH_PlacesReply;
extern char * _PREHASH_DirPlacesReply;
extern char * _PREHASH_ParcelBuy;
extern char * _PREHASH_DirFindQueryBackend;
extern char * _PREHASH_DirPlacesQueryBackend;
extern char * _PREHASH_DirClassifiedQueryBackend;
extern char * _PREHASH_DirLandQueryBackend;
extern char * _PREHASH_DirPopularQueryBackend;
extern char * _PREHASH_HistoryData;
extern char * _PREHASH_SnapshotID;
extern char * _PREHASH_Aspect;
extern char * _PREHASH_ParamSize;
extern char * _PREHASH_VoteCast;
extern char * _PREHASH_CastsShadows;
extern char * _PREHASH_EveryoneMask;
extern char * _PREHASH_ObjectSpinUpdate;
extern char * _PREHASH_MaturePublish;
extern char * _PREHASH_UseExistingAsset;
extern char * _PREHASH_Powers;
extern char * _PREHASH_ParcelLocalID;
extern char * _PREHASH_TeleportCancel;
extern char * _PREHASH_UnixTime;
extern char * _PREHASH_QueryFlags;
extern char * _PREHASH_AlwaysRun;
extern char * _PREHASH_Bottom;
extern char * _PREHASH_ButtonData;
extern char * _PREHASH_SoundData;
extern char * _PREHASH_ViewerStats;
extern char * _PREHASH_RegionHandshake;
extern char * _PREHASH_ObjectDescription;
extern char * _PREHASH_Description;
extern char * _PREHASH_ParamType;
extern char * _PREHASH_UUIDNameReply;
extern char * _PREHASH_UUIDGroupNameReply;
extern char * _PREHASH_SaveAssetIntoInventory;
extern char * _PREHASH_UserInfo;
extern char * _PREHASH_AnimSequenceID;
extern char * _PREHASH_NVPairs;
extern char * _PREHASH_GroupNoticesListRequest;
extern char * _PREHASH_ParcelAccessListRequest;
extern char * _PREHASH_MuteListRequest;
extern char * _PREHASH_RpcChannelRequest;
extern char * _PREHASH_LandStatRequest;
extern char * _PREHASH_PlacesQuery;
extern char * _PREHASH_DirPlacesQuery;
extern char * _PREHASH_SortOrder;
extern char * _PREHASH_Hunter;
extern char * _PREHASH_SunAngVelocity;
extern char * _PREHASH_BinaryBucket;
extern char * _PREHASH_ImagePacket;
extern char * _PREHASH_StartGroupProposal;
extern char * _PREHASH_EnergyLevel;
extern char * _PREHASH_PriceForListing;
extern char * _PREHASH_Scale;
extern char * _PREHASH_EstateCovenantReply;
extern char * _PREHASH_ParentEstateID;
extern char * _PREHASH_Extra2;
extern char * _PREHASH_Throttle;
extern char * _PREHASH_SimIP;
extern char * _PREHASH_GodID;
extern char * _PREHASH_TeleportMinPrice;
extern char * _PREHASH_VoteItem;
extern char * _PREHASH_ObjectRotation;
extern char * _PREHASH_SitRotation;
extern char * _PREHASH_SnapSelection;
extern char * _PREHASH_SoundTrigger;
extern char * _PREHASH_TerrainRaiseLimit;
extern char * _PREHASH_Quorum;
extern char * _PREHASH_AgentBlock;
extern char * _PREHASH_CommandBlock;
extern char * _PREHASH_PricePublicObjectDecay;
extern char * _PREHASH_SpawnPointPos;
extern char * _PREHASH_VolumeDetail;
extern char * _PREHASH_FromAgentName;
extern char * _PREHASH_Range;
extern char * _PREHASH_DirectoryVisibility;
extern char * _PREHASH_PublicIP;
extern char * _PREHASH_TeleportFailed;
extern char * _PREHASH_PreloadSound;
extern char * _PREHASH_ScreenshotID;
extern char * _PREHASH_CovenantTimestamp;
extern char * _PREHASH_OldestUnacked;
extern char * _PREHASH_SimulatorIP;
extern char * _PREHASH_Value;
extern char * _PREHASH_JointAxisOrAnchor;
extern char * _PREHASH_Test0;
extern char * _PREHASH_Test1;
extern char * _PREHASH_Test2;
extern char * _PREHASH_SunPhase;
extern char * _PREHASH_ParcelDivide;
extern char * _PREHASH_PriceObjectClaim;
extern char * _PREHASH_Field;
extern char * _PREHASH_Ratio;
extern char * _PREHASH_JoinGroupReply;
extern char * _PREHASH_LiveHelpGroupReply;
extern char * _PREHASH_Score;
extern char * _PREHASH_Image;
extern char * _PREHASH_ObjectClickAction;
extern char * _PREHASH_Parameter;
extern char * _PREHASH_Flags;
extern char * _PREHASH_Plane;
extern char * _PREHASH_Width;
extern char * _PREHASH_Right;
extern char * _PREHASH_DirFindQuery;
extern char * _PREHASH_Textures;
extern char * _PREHASH_EventData;
extern char * _PREHASH_Final;
extern char * _PREHASH_System;
extern char * _PREHASH_TelehubPos;
extern char * _PREHASH_ReportAutosaveCrash;
extern char * _PREHASH_CreateTrustedCircuit;
extern char * _PREHASH_DenyTrustedCircuit;
extern char * _PREHASH_RequestTrustedCircuit;
extern char * _PREHASH_Codec;
extern char * _PREHASH_Modal;
extern char * _PREHASH_ChildAgentUnknown;
extern char * _PREHASH_LandingType;
extern char * _PREHASH_ScriptRunningReply;
extern char * _PREHASH_Reply;
extern char * _PREHASH_GroupAccountDetailsReply;
extern char * _PREHASH_TelehubRot;
extern char * _PREHASH_AcceptFriendship;
extern char * _PREHASH_ItemType;
extern char * _PREHASH_DwellInfo;
extern char * _PREHASH_AgentResume;
extern char * _PREHASH_MailFilter;
extern char * _PREHASH_Disconnect;
extern char * _PREHASH_SimPosition;
extern char * _PREHASH_SimWideTotalPrims;
extern char * _PREHASH_Index;
extern char * _PREHASH_SimFilename;
extern char * _PREHASH_LastOwnerID;
extern char * _PREHASH_GroupNoticeRequest;
extern char * _PREHASH_EmailMessageRequest;
extern char * _PREHASH_MapItemRequest;
extern char * _PREHASH_AgentCount;
extern char * _PREHASH_MessageBlock;
extern char * _PREHASH_FuseBlock;
extern char * _PREHASH_AgentGroupData;
extern char * _PREHASH_ClassifiedInfoUpdate;
extern char * _PREHASH_RegionPos;
extern char * _PREHASH_ParcelMediaUpdate;
extern char * _PREHASH_NoticeID;
extern char * _PREHASH_GridX;
extern char * _PREHASH_GridY;
extern char * _PREHASH_Title;
extern char * _PREHASH_AuctionID;
extern char * _PREHASH_VoteType;
extern char * _PREHASH_CategoryID;
extern char * _PREHASH_Token;
extern char * _PREHASH_AggregatePerms;
extern char * _PREHASH_ObjectSelect;
extern char * _PREHASH_ForceObjectSelect;
extern char * _PREHASH_Price;
extern char * _PREHASH_SunDirection;
extern char * _PREHASH_FromName;
extern char * _PREHASH_ChangeInventoryItemFlags;
extern char * _PREHASH_Force;
extern char * _PREHASH_TransactionBlock;
extern char * _PREHASH_PowersMask;
extern char * _PREHASH_Stamp;
extern char * _PREHASH_TotalCredits;
extern char * _PREHASH_State;
extern char * _PREHASH_TextureIndex;
extern char * _PREHASH_InviteeID;
extern char * _PREHASH_ParcelReclaim;
extern char * _PREHASH_Money;
extern char * _PREHASH_PathTwist;
extern char * _PREHASH_AuthBuyerID;
extern char * _PREHASH_Color;
extern char * _PREHASH_SourceType;
extern char * _PREHASH_World;
extern char * _PREHASH_QueryData;
extern char * _PREHASH_Users;
extern char * _PREHASH_SysOS;
extern char * _PREHASH_Notes;
extern char * _PREHASH_AvatarID;
extern char * _PREHASH_FounderID;
extern char * _PREHASH_EndPointID;
extern char * _PREHASH_LocationLookAt;
extern char * _PREHASH_Sound;
extern char * _PREHASH_Cover;
extern char * _PREHASH_TotalObjectCount;
extern char * _PREHASH_TextureEntry;
extern char * _PREHASH_SquareMetersCommitted;
extern char * _PREHASH_ChannelID;
extern char * _PREHASH_Dwell;
extern char * _PREHASH_North;
extern char * _PREHASH_AgentUpdate;
extern char * _PREHASH_PickGodDelete;
extern char * _PREHASH_HostName;
extern char * _PREHASH_PriceParcelClaim;
extern char * _PREHASH_ParcelClaim;
extern char * _PREHASH_AgentPowers;
extern char * _PREHASH_ProfileHollow;
extern char * _PREHASH_GroupRoleChanges;
extern char * _PREHASH_Count;
extern char * _PREHASH_South;
extern char * _PREHASH_ObjectUpdateCompressed;
extern char * _PREHASH_MuteFlags;
extern char * _PREHASH_Group;
extern char * _PREHASH_AgentPause;
extern char * _PREHASH_LanguagesText;
extern char * _PREHASH_Error;
extern char * _PREHASH_InternalScriptMail;
extern char * _PREHASH_FindAgent;
extern char * _PREHASH_AgentData;
extern char * _PREHASH_FolderData;
extern char * _PREHASH_AssetBlock;
extern char * _PREHASH_AcceptNotices;
extern char * _PREHASH_SetGroupAcceptNotices;
extern char * _PREHASH_CloseCircuit;
extern char * _PREHASH_TeleportFinish;
extern char * _PREHASH_PathRevolutions;
extern char * _PREHASH_ClassifiedInfoReply;
extern char * _PREHASH_ParcelInfoReply;
extern char * _PREHASH_AutosaveData;
extern char * _PREHASH_SetStartLocation;
extern char * _PREHASH_PassHours;
extern char * _PREHASH_AttachmentPt;
extern char * _PREHASH_ParcelFlags;
extern char * _PREHASH_NumVotes;
extern char * _PREHASH_AvatarPickerRequest;
extern char * _PREHASH_TeleportLocationRequest;
extern char * _PREHASH_DataHomeLocationRequest;
extern char * _PREHASH_EventNotificationAddRequest;
extern char * _PREHASH_ParcelDwellRequest;
extern char * _PREHASH_EventLocationRequest;
extern char * _PREHASH_SetStartLocationRequest;
extern char * _PREHASH_QueryStart;
extern char * _PREHASH_EjectData;
extern char * _PREHASH_AvatarTextureUpdate;
extern char * _PREHASH_RPCServerPort;
extern char * _PREHASH_Bytes;
extern char * _PREHASH_Extra;
extern char * _PREHASH_ForceScriptControlRelease;
extern char * _PREHASH_ParcelRelease;
extern char * _PREHASH_VFileType;
extern char * _PREHASH_EjectGroupMemberReply;
extern char * _PREHASH_ImageData;
extern char * _PREHASH_SimulatorViewerTimeMessage;
extern char * _PREHASH_Rotation;
extern char * _PREHASH_Selection;
extern char * _PREHASH_TransactionData;
extern char * _PREHASH_OperationData;
extern char * _PREHASH_ExpirationDate;
extern char * _PREHASH_ParcelDeedToGroup;
extern char * _PREHASH_AvatarPicksReply;
extern char * _PREHASH_GroupTitlesReply;
extern char * _PREHASH_AgentInfo;
extern char * _PREHASH_MoneyTransferBackend;
extern char * _PREHASH_NextOwnerMask;
extern char * _PREHASH_MuteData;
extern char * _PREHASH_PassPrice;
extern char * _PREHASH_SourceID;
extern char * _PREHASH_ChangeUserRights;
extern char * _PREHASH_TeleportFlags;
extern char * _PREHASH_SlaveParcelData;
extern char * _PREHASH_AssetData;
extern char * _PREHASH_MultipleObjectUpdate;
extern char * _PREHASH_ObjectUpdate;
extern char * _PREHASH_ImprovedTerseObjectUpdate;
extern char * _PREHASH_ConfirmXferPacket;
extern char * _PREHASH_StartPingCheck;
extern char * _PREHASH_SimWideDeletes;
extern char * _PREHASH_LandStatReply;
extern char * _PREHASH_IsPhantom;
extern char * _PREHASH_AgentList;
extern char * _PREHASH_SimApproved;
extern char * _PREHASH_RezObject;
extern char * _PREHASH_TaskLocalID;
extern char * _PREHASH_ClaimDate;
extern char * _PREHASH_MergeParcel;
extern char * _PREHASH_Priority;
extern char * _PREHASH_QueryText;
extern char * _PREHASH_GroupNoticeAdd;
extern char * _PREHASH_ReturnType;
extern char * _PREHASH_FetchFolders;
extern char * _PREHASH_SimulatorPublicHostBlock;
extern char * _PREHASH_HeaderData;
extern char * _PREHASH_RequestMultipleObjects;
extern char * _PREHASH_RetrieveInstantMessages;
extern char * _PREHASH_OpenCircuit;
extern char * _PREHASH_CrossedRegion;
extern char * _PREHASH_DirGroupsReply;
extern char * _PREHASH_AvatarGroupsReply;
extern char * _PREHASH_EmailMessageReply;
extern char * _PREHASH_GroupVoteHistoryItemReply;
extern char * _PREHASH_ViewerPosition;
extern char * _PREHASH_Position;
extern char * _PREHASH_ParentEstate;
extern char * _PREHASH_EstateName;
extern char * _PREHASH_MuteName;
extern char * _PREHASH_ParcelRename;
extern char * _PREHASH_ViewerFilename;
extern char * _PREHASH_UserReportInternal;
extern char * _PREHASH_AvatarPropertiesRequest;
extern char * _PREHASH_ParcelPropertiesRequest;
extern char * _PREHASH_GroupProfileRequest;
extern char * _PREHASH_AgentDataUpdateRequest;
extern char * _PREHASH_PriceObjectScaleFactor;
extern char * _PREHASH_OpenEnrollment;
extern char * _PREHASH_GroupData;
extern char * _PREHASH_RequestGodlikePowers;
extern char * _PREHASH_GrantGodlikePowers;
extern char * _PREHASH_TransactionID;
extern char * _PREHASH_DestinationID;
extern char * _PREHASH_Controls;
extern char * _PREHASH_FirstDetachAll;
extern char * _PREHASH_EstateID;
extern char * _PREHASH_ImprovedInstantMessage;
extern char * _PREHASH_CheckParcelSales;
extern char * _PREHASH_ParcelSales;
extern char * _PREHASH_CurrentInterval;
extern char * _PREHASH_PriceRentLight;
extern char * _PREHASH_MediaAutoScale;
extern char * _PREHASH_NeighborBlock;
extern char * _PREHASH_LayerData;
extern char * _PREHASH_NVPairData;
extern char * _PREHASH_TeleportLocal;
extern char * _PREHASH_EjecteeID;
extern char * _PREHASH_VoteInitiator;
extern char * _PREHASH_TypeData;
extern char * _PREHASH_OwnerIDs;
extern char * _PREHASH_SystemKickUser;
extern char * _PREHASH_TransactionTime;
extern char * _PREHASH_TimeToLive;
extern char * _PREHASH_OldAgentID;
extern char * _PREHASH_MusicURL;
extern char * _PREHASH_ParcelPrimBonus;
extern char * _PREHASH_EjectUser;
extern char * _PREHASH_CoarseLocationUpdate;
extern char * _PREHASH_ChildAgentPositionUpdate;
extern char * _PREHASH_StoreLocal;
extern char * _PREHASH_GroupName;
extern char * _PREHASH_PriceParcelRent;
extern char * _PREHASH_SimStatus;
extern char * _PREHASH_TransactionSuccess;
extern char * _PREHASH_LureType;
extern char * _PREHASH_GroupMask;
extern char * _PREHASH_SitObject;
extern char * _PREHASH_Override;
extern char * _PREHASH_LocomotionState;
extern char * _PREHASH_PriceUpload;
extern char * _PREHASH_RemoveParcel;
extern char * _PREHASH_ConfirmAuctionStart;
extern char * _PREHASH_RpcScriptRequestInbound;
extern char * _PREHASH_ActiveGroupID;
extern char * _PREHASH_ParcelReturnObjects;
extern char * _PREHASH_TotalObjects;
extern char * _PREHASH_ObjectExtraParams;
extern char * _PREHASH_Questions;
extern char * _PREHASH_TransferAbort;
extern char * _PREHASH_TransferInventory;
extern char * _PREHASH_RayTargetID;
extern char * _PREHASH_ClaimPrice;
extern char * _PREHASH_ObjectProperties;
extern char * _PREHASH_ParcelProperties;
extern char * _PREHASH_EstateOwnerID;
extern char * _PREHASH_LogoutRequest;
extern char * _PREHASH_AssetUploadRequest;
extern char * _PREHASH_TransactionType;
extern char * _PREHASH_AvatarPropertiesUpdate;
extern char * _PREHASH_ParcelPropertiesUpdate;
extern char * _PREHASH_FetchItems;
extern char * _PREHASH_AbortXfer;
extern char * _PREHASH_DeRezAck;
extern char * _PREHASH_TakeControls;
extern char * _PREHASH_DirLandReply;
extern char * _PREHASH_MuteType;
extern char * _PREHASH_IMViaEMail;
extern char * _PREHASH_RentPrice;
extern char * _PREHASH_GenericMessage;
extern char * _PREHASH_ChildAgentAlive;
extern char * _PREHASH_AssetType;
extern char * _PREHASH_SpawnPointBlock;
extern char * _PREHASH_AttachmentBlock;
extern char * _PREHASH_ObjectMaterial;
extern char * _PREHASH_OwnerName;
extern char * _PREHASH_AvatarNotesReply;
extern char * _PREHASH_CacheID;
extern char * _PREHASH_OwnerMask;
extern char * _PREHASH_TransferInventoryAck;
extern char * _PREHASH_RegionDenyAgeUnverified;
extern char * _PREHASH_AgeVerificationBlock;
extern char * _PREHASH_UCoord;
extern char * _PREHASH_VCoord;
extern char * _PREHASH_FaceIndex;
extern char * _PREHASH_StatusData;
extern char * _PREHASH_ProductSKU;
#endif
